<?php

namespace Ig\IgCookies\Controller;

use TYPO3\CMS\Core\Utility\GeneralUtility;
use Psr\Http\Message\ResponseInterface;

/**
 * @package cookies
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class MainController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{



    /**
     * action cookie: display info to accept cookies
     *
     * @return void
     */
    public function cookieAction(): ResponseInterface
    {
        if ($this->settings['mode'] == 'configurable') {
            $cookieCategories = array_filter(GeneralUtility::trimExplode(',', $this->settings['cookieCategories']));
            $cookieCategoriesJson = json_encode($cookieCategories);
            $this->view->assign('cookieCategories', $cookieCategories);
            $this->view->assign('cookieCategoriesJson', $cookieCategoriesJson);
        }
        /*
	// Falls Action nicht gecacht
	if($_COOKIE['ig_cookies_accepted']==1) {
 	  return FALSE;
        }
      */
        return $this->htmlResponse($this->view->render());
    }

    public function settingsAction()
    {
        $cookieCategories = array_filter(GeneralUtility::trimExplode(',', $this->settings['cookieCategories']));
        $this->view->assign('cookieCategories', $cookieCategories);
    }
}
